POST
Create speech

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Body

application/json

Speech request (OpenAI format; language is a GEEKIDEA extension)

model
string
required

Model ID (author/model); see GET /v1/models?type=audio

Minimum string length: 1
Example:

"qwen/qwen3-tts-flash"

input
string
required

Text to read aloud; the limit is the model's generation_config.max_input_characters

Maximum string length: 10000
Example:

"今天天气真好,我们去公园散步吧。"

voice
string

Voice; allowed values are in the model's generation_config.voice. Defaults to the model's default

Example:

"Cherry"

response_format
string

Audio format; allowed values are in the model's generation_config.response_format. Defaults to the model's default

Example:

"wav"

language
string

Language to read in (Chinese / English …); allowed values are in the model's generation_config.language. Detected automatically when omitted

Example:

"Chinese"

metadata
object

Custom key-value pairs stored on the Generation (up to 16)

Response

openapi.audio.speech.response

The response is of type file.